Créer un export CSV ou JSON d'une table figée
curl --request POST \
--url https://api.retriever.run/v1/runs/{id}/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"table_key": "contacts",
"format": "csv"
}
'import requests
url = "https://api.retriever.run/v1/runs/{id}/exports"
payload = {
"table_key": "contacts",
"format": "csv"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({table_key: 'contacts', format: 'csv'})
};
fetch('https://api.retriever.run/v1/runs/{id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"byte_length": 123,
"links": {
"self": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "prompt: prompt must not be blank",
"details": [
{
"path": "prompt",
"message": "prompt must not be blank"
}
]
}
}{
"error": {
"code": "not_authenticated",
"message": "A valid API key is required."
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "Content-Type must be application/json."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded. Retry later."
}
}Runs
Créer un export CSV ou JSON d'une table figée
L’export est généré pendant la requête : la réponse 201 signifie
qu’il est prêt à télécharger. Il contient les valeurs métier, sans
métadonnées de cellules. En CSV, les listes d’expériences et de
formations sont aplaties en texte.
POST
/
v1
/
runs
/
{id}
/
exports
Créer un export CSV ou JSON d'une table figée
Authorizations
Clé API ret_live_… créée dans Settings → API keys.
Path Parameters
Body
application/json